### Method

# Devhelp BookTree select_uri

#### Declaration [src]

    void
    dh_book_tree_select_uri (
      DhBookTree* tree,
      const gchar* uri
    )

#### Description [src]

Selects the row corresponding to `uri`. It searches in the tree a `DhLink` being at `uri` (if it’s an exact match), or containing `uri` (if `uri` contains an anchor).

#### Parameters

`uri` | `const gchar*`
| The URI to select.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.